aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-sqlalchemy/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2016-11-09 02:52:21 +0000
committerJakub Jirutka <jakub@jirutka.cz>2016-11-09 20:39:05 +0100
commit6c71e9cd1dd8b681f197e60bb0627291baecf00c (patch)
tree44ee574c34d5687a43d0644d7fce55c9da628092 /community/py-sqlalchemy/APKBUILD
parenta445e9de5d927274debab501eb4e9fad5bbf59a8 (diff)
downloadaports-6c71e9cd1dd8b681f197e60bb0627291baecf00c.tar.gz
aports-6c71e9cd1dd8b681f197e60bb0627291baecf00c.tar.bz2
aports-6c71e9cd1dd8b681f197e60bb0627291baecf00c.tar.xz
community/py-sqlalchemy: upgrade to 1.1.3 and fix abuild
Diffstat (limited to 'community/py-sqlalchemy/APKBUILD')
-rw-r--r--community/py-sqlalchemy/APKBUILD26
1 files changed, 12 insertions, 14 deletions
diff --git a/community/py-sqlalchemy/APKBUILD b/community/py-sqlalchemy/APKBUILD
index e3df7dcd35..2c592ea35d 100644
--- a/community/py-sqlalchemy/APKBUILD
+++ b/community/py-sqlalchemy/APKBUILD
@@ -2,25 +2,22 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=py-sqlalchemy
_pkgname=SQLAlchemy
-pkgver=1.0.14
+pkgver=1.1.3
pkgrel=0
-pkgdesc="object relational mapper for python"
+pkgdesc="An object relational mapper for Python"
url="http://pypi.python.org/pypi/SQLAlchemy"
arch="all"
license="MIT"
depends=""
makedepends="python2-dev py-setuptools python3-dev"
-install=""
-subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
+subpackages="py3-${pkgname#py-}:_py3 py2-${pkgname#py-}:_py2"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-
-builddir="$srcdir"/$_pkgname-$pkgver
-
+builddir="$srcdir/$_pkgname-$pkgver"
build() {
cd "$builddir"
python2 setup.py build || return 1
- python3 setup.py build || return 1
+ python3 setup.py build || return 1
}
package() {
@@ -28,8 +25,9 @@ package() {
}
_py() {
- local python=$1
- pkgdesc="$pkgdesc - $python"
+ local python="$1"
+ pkgdesc="$pkgdesc ${python:6:1}"
+ depends="$depends $python"
install_if="$pkgname=$pkgver-r$pkgrel $python"
cd "$builddir"
@@ -37,14 +35,14 @@ _py() {
}
_py2() {
- _py python2
replaces="$pkgname"
+ _py python2
}
_py3() {
_py python3
}
-md5sums="173c9d1ea5cf51893e65d213c280bd2a SQLAlchemy-1.0.14.tar.gz"
-sha256sums="da4d1a39c1e99c7fecc2aaa3a050094b6aa7134de7d89f77e6216e7abd1705b3 SQLAlchemy-1.0.14.tar.gz"
-sha512sums="ae504f413ca8d803e90f4bb383a32196e9242764c966b42a0dcbac96aa75cd716079e9acd9ed2e4ab621a1224de4675af5407cacc95de47331a3befdbc1ab662 SQLAlchemy-1.0.14.tar.gz"
+md5sums="d3a1e8d18f1e51a561db339b847ede0f SQLAlchemy-1.1.3.tar.gz"
+sha256sums="8b0ed90292a294e17d24482c9328abe69eb8e3143e2bd7103b6fadae2562638f SQLAlchemy-1.1.3.tar.gz"
+sha512sums="b35994f5dc005db7ddc82b353f1cec639e081f5965177e83f7b834af34fdcdfabcf35b45ac6aea3366168c7b0a0d3e95e86b7e84e715e1483039806e976f9e48 SQLAlchemy-1.1.3.tar.gz"